Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037267
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-11-08 19:042018-01-03 12:38
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision904f31b433ec
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037267: Improvements in the I18NComponent component

DescriptionThe I18NComponent is the component in charge of loading the translatable labels used in the user interface. It currently has some areas that can be improved:

- The getLabels() method is loading all the modules except core in memory to build the query that retrieves the labels that will be include in the generated client side javascript code. This is not needed as the query can be build in an easier way by directly excluding core.

- The related ftl template (i18n.ftl) builds some javascript code that can be moved to a js file containing static code.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035553 closedcaristu Improve scalability of the login process 

-  Notes
(0100409)
hgbot (developer)
2017-11-10 08:31

Repository: erp/devel/pi
Changeset: 90d07920e4b63aef8c658cf035f03ffeb9a0edeb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 10 08:26:33 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/90d07920e4b63aef8c658cf035f03ffeb9a0edeb [^]

related to issue 37267: move static js code from ftl to a js file

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/i18n.ftl
A modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/ob-i18n.js
---
(0100410)
hgbot (developer)
2017-11-10 08:31

Repository: erp/devel/pi
Changeset: 904f31b433ec918c946f903d2f5a32cfc65412f8
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 10 08:29:38 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/904f31b433ec918c946f903d2f5a32cfc65412f8 [^]

fixes issue 37267: improve readability of getLabels() method

  Besides improving the readability, not the that the active flag when looking for the translations is now taken into account. Otherwise, translations of deactivated messages were being sent to the client.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/I18NComponent.java
---
(0100443)
alostale (developer)
2017-11-10 13:30

reviewed
(0100447)
hgbot (developer)
2017-11-10 14:38

Repository: erp/devel/pi
Changeset: a1c58df1f28b75e75151bca503929a096f55636e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 10 14:37:07 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a1c58df1f28b75e75151bca503929a096f55636e [^]

related to issue 37267: keep the jslint marker

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/i18n.ftl
---
(0101396)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101397)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101412)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-08 19:04 caristu New Issue
2017-11-08 19:04 caristu Assigned To => caristu
2017-11-08 19:04 caristu Modules => Core
2017-11-08 19:04 caristu Triggers an Emergency Pack => No
2017-11-08 19:04 caristu Relationship added related to 0037259
2017-11-08 19:04 caristu Relationship deleted related to 0037259
2017-11-08 19:05 caristu Relationship added related to 0035553
2017-11-10 08:31 hgbot Checkin
2017-11-10 08:31 hgbot Note Added: 0100409
2017-11-10 08:31 hgbot Checkin
2017-11-10 08:31 hgbot Note Added: 0100410
2017-11-10 08:31 hgbot Status new => resolved
2017-11-10 08:31 hgbot Resolution open => fixed
2017-11-10 08:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/904f31b433ec918c946f903d2f5a32cfc65412f8 [^]
2017-11-10 08:33 caristu Review Assigned To => alostale
2017-11-10 13:30 alostale Note Added: 0100443
2017-11-10 13:30 alostale Status resolved => closed
2017-11-10 13:30 alostale Fixed in Version => 3.0PR18Q1
2017-11-10 14:38 hgbot Checkin
2017-11-10 14:38 hgbot Note Added: 0100447
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101396
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101397
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101412


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker